/*
Theme Name: Betheme Child
Theme URI: https://themes.muffingroup.com/betheme
Author: Muffin group
Author URI: https://muffingroup.com
Description: Child Theme for Betheme
Template: betheme
Version: 2.0.2
*/


h3 {
  margin: 0px;
}

.hero-content {
  position: relative;
  text-align: center;
}

.slide {
  position: absolute;
  width: 100%;
  opacity: 0;
  pointer-events: none;
  text-align: left;
}

.slide.active {
  opacity: 1;
  pointer-events: auto;
}

.hero-title {
  font-size: 60px;
  font-weight: 700;
  line-height: 1.2;
  color: white;
}

.line {
  display: block;
  overflow: hidden;
}

.line span {
  display: inline-block;
}


/* gried layout css */

.yuvraj-grid {
  display: grid;
  grid-template-columns: repeat(8, 1fr);
  grid-auto-rows: 120px;
  gap: 20px;
}

/* Layout Structure */
.layout-1 {
  grid-column: 1 / span 4;
  grid-row: span 4;
}

.layout-2 {
  grid-column: 5 / span 2;
  grid-row: span 2;
}

.layout-3 {
  grid-column: 7 / span 2;
  grid-row: span 2;
}

.layout-4 {
  grid-column: 5 / span 4;
  grid-row: span 2;
}

/* Card */
.grid-item {
  position: relative;
  overflow: hidden;
  border-radius: 20px;
}

.grid-link {
  display: block;
  width: 100%;
  height: 100%;
  position: relative;
}

.title-gried {
  color: white;
  font-size: 24px;
  line-height: 130%;
  margin-bottom: 0px;
}



/* Image */
.grid-image {
  width: 100%;
  height: 100%;
  overflow: hidden;
}

.grid-image::after {
  content: "";
  position: absolute;
  inset: 0;
  background: linear-gradient(180.05deg,
      rgba(0, 0, 0, 0) -3.07%,
      #000000 99.96%);
  pointer-events: none;
}

.post_image .mcb-wrap-inner::after {
  content: "";
  position: absolute;
  inset: 0;
  background: linear-gradient(180.05deg,
      rgba(0, 0, 0, 0) -3.07%,
      #000000 99.96%);
  pointer-events: none;
  border-radius: 16px;
}

.post_image .mcb-wrap-inner {
  position: relative;
}

.grid-image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: transform 0.6s ease;
}

/* Hover Zoom */
.grid-item:hover img {
  transform: scale(1.1);
}

/* Content Overlay */
.grid-content {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  padding: 20px;

}

.category-tag {
  font-size: 13px;
  background: #ffffff;
  padding: 5px 10px;
  border-radius: 7px;
  display: inline-block;
  line-height: 20px;
  color: black;
  margin-bottom: 5px;
  background: linear-gradient(149deg, #ff4ecd, #7b5cff, #00c6ff);
  color: white;
  border-radius: 99px;
}


.meta {
  font-size: 12px;
  opacity: 0.7;
  color: white;
}

/* Responsive */
@media (max-width: 768px) {
  .yuvraj-grid {
    grid-template-columns: 1fr;
    grid-auto-rows: auto;
  }

  .layout-1,
  .layout-2,
  .layout-3,
  .layout-4 {
    grid-column: span 1;
    grid-row: span 1;
  }
}

.articlebox {
  display: flex;
  flex-direction: column;
  gap: 5px;
}

.articlebox h3 {
  margin-bottom: 0 !important;
}

.articlebox p {
  margin-bottom: 0 !important;
}

.cat_tag {
  font-size: 13px;
  width: fit-content;
  background: #ffffff;
  padding: 5px 10px;
  border-radius: 7px;
  display: inline-block;
  line-height: 20px;
  color: black;
  margin-bottom: 5px;
  background: linear-gradient(149deg, #ff4ecd, #7b5cff, #00c6ff);
  color: white;
  border-radius: 99px;
}

.newsletter-form p {
  margin-bottom: 0 !important;
}

/* news latter email  */
.newsletter-form {
  position: relative;
  max-width: 420px;
  width: 100%;
}

.fixed-nav {

  display: none !important;
}

.newsletter-form input[type="email"] {
  width: 100%;
  height: 58px;
  border: none;
  border-radius: 40px;
  background: #ffffff;
  padding: 0 140px 0 24px;
  font-size: 18px;
  color: #333;
  outline: none;
  box-shadow: none;
}

.newsletter-form input[type="submit"] {
  position: absolute;
  top: 6px;
  right: 6px;
  height: 46px;
  padding: 0 28px;
  border: none;
  border-radius: 30px;
  background: linear-gradient(149deg, #ff4ecd, #7b5cff, #00c6ff);
  color: #fff;
  font-size: 16px;
  font-weight: 600;
  cursor: pointer;
  transition: 0.3s ease;
}

.newsletter-form input[type="submit"]:hover {
  background: linear-gradient(319deg, #ff4ecd, #7b5cff, #00c6ff);
}

.newsletter-form .wpcf7-spinner {
  display: none;
}


/* Home Page blog geid============
=============================== */
.humanfirst-blog-wrapper {
  width: 100%;
}

.humanfirst-blog-tabs {
  display: flex;
  flex-wrap: wrap;
  gap: 5px;
  margin-bottom: 50px;
}

.humanfirst-tab-btn {
  border: none;
  background: transparent;
  cursor: pointer;
  font-size: 18px;
  padding: 10px 15px;
  border-radius: 30px;
  transition: .3s;
  color: #202020;
  min-width: 100px;
}

.humanfirst-tab-btn:hover {
  background: #e5e5e5;
  color: #202020;
}

.humanfirst-tab-btn.active {
  background: #2d726d;
  color: #fff;
}

.humanfirst-blog-grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 40px 60px;
}

.humanfirst-blog-card {
  display: flex;
  align-items: center;
  gap: 25px;
}

.humanfirst-blog-image {
  width: 120px;
  min-width: 120px;
}

.humanfirst-blog-image img {
  width: 120px;
  height: 120px;
  object-fit: cover;
  border-radius: 20px;
  display: block;
}

.humanfirst-blog-content h3 {
  font-size: 24px;
  line-height: 130%;

}

.humanfirst-blog-content h3 a {
  color: #222;
  text-decoration: none;
}

.humanfirst-blog-meta {
  display: flex;
  gap: 10px;
  align-items: center;
  color: #202020;
  font-size: 18px;
}

.humanfirst-view-all {
  text-align: center;
  margin-top: 60px;
}

.humanfirst-view-all a {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  padding: 14px 35px;
  background: #2d726d;
  color: #fff;
  border-radius: 40px;
  text-decoration: none;
  transition: .3s;
}

.humanfirst-view-all a:hover {
  transform: translateY(-3px);
}

@media(max-width:991px) {

  .humanfirst-blog-grid {
    grid-template-columns: 1fr;
    gap: 30px;
  }

  .humanfirst-blog-content h3 {
    font-size: 24px;
  }
}

@media(max-width:767px) {

  .humanfirst-blog-tabs {
    display: flex;
    flex-wrap: nowrap !important;
    gap: 5px;
    margin-bottom: 50px;
    overflow: auto;
  }

  .humanfirst-tab-btn {
    border: none;
    background: transparent;
    cursor: pointer;
    font-size: 13px !important;
    padding: 05px !important;
    border-radius: 30px;
    transition: .3s;
    color: #202020;
    min-width: 100px;
  }

  .humanfirst-blog-card {
    flex-direction: column;
    align-items: flex-start;
  }

  .humanfirst-blog-image,
  .humanfirst-blog-image img {
    width: 100%;
    height: auto;
  }

  .humanfirst-blog-content h3 {
    font-size: 20px;
  }

}